Downgrade from 5.1 to 4.4.4 possible?

neo179neo

macrumors regular
Original poster
Sep 29, 2010
102
0
Nottingham, UK
Can somebody help, my apple tv ****ed up so had to do a full restore which installed the new software on it...

Only problem is i cant jailbreak it and watch plex! So is there a way of downgrading? Tried using seasonpass but it just said apple could not verify or something so didnt work...

Help please...
 

roidy

macrumors 65816
Dec 30, 2008
1,023
20
Nottingham, UK
I've just used the Windows verson of Seas0npass to downgrade from 5.1 to 4.4.4 with no problems.

Which version of iTunes are you using? I'm still using 10.5.3.3.
 

svo

macrumors newbie
Mar 15, 2012
1
0
I've just used the Windows verson of Seas0npass to downgrade from 5.1 to 4.4.4 with no problems.

Which version of iTunes are you using? I'm still using 10.5.3.3.
How did you do that??
I've been trying all day to do that after the last stupid update (5.1)... but no luck :(
Now i have itunes 10.5.3.3 but still not working... I get the same error (unknown error 3194)
Which version of Seas0npass are you using? I dont think it will make a difference... but i wanna try...

Thanx
 

roidy

macrumors 65816
Dec 30, 2008
1,023
20
Nottingham, UK
Just the Windows version from here:- http://support.firecore.com/entries/387605

----------

Could it be because I already have the 4.4.4 Jailbroken IPSW on my computer from the last time I did the jailbrake???? So Seas0npass isn't having to redownload and modify it????

Give me some time and I'll test the theory by deleting it from my computer and letting Seas0npass redownload it and see if it still works.

----------

So I deleted all the IPSW's that Seas0npass had downloaded/created and started again. I first updated my ATV2 back up to the latest version 5.1 then using Seas0npass I was able to downgrade it back to 4.4.4 with no problems at all. Not sure why it works for me and not for you.
 
Last edited:

macman05

macrumors regular
Apr 25, 2007
112
0

jalo215

macrumors newbie
Mar 14, 2012
10
0
I did the same thing restored and it installed the new software but I heard you can use seasonpass to restore it back to 4.4.3 only if you saved the blogs with tinyumbrella.
fortunately I had mine saved and I used seasonpass while I had tinyumbrella running in the background and it worked perfectly for me.

Hope this works for you !!